aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Integration test for JPA 2.1 and eclipselink adapter
Date Wed, 08 Oct 2014 11:42:23 GMT
Hi Giuseppe,

thanks for the update, I will take a look on your github.

Regards
JB

On 10/08/2014 12:37 PM, Giuseppe Gerla wrote:
> Hi all
> i finished my development to introduce integration test for JPA 2.1. At
> this moment I wrote only one test that use CriteriaDelete (introduced in
> the last version of api).It seems that all works fine.
>
> To obtain this result I make following action:
>
> 1. Change all JPA dependency from hibernate to geronimo. Now all aries jpa
> dependencies are to JPA 2.0
> 2. Split test environment preparation between jpa20 and jpa21
> 3. Check that all tests pass with this new configuration
> 4. Reintroduced bundles jpa-container-testbundle-eclipselink
> and jpa-container-eclipselink-adapter to run new tests. To do this I make
> some change on the adapter (i.e. removed use of PackageAdmin, change
> dependency on JPA 2.1 and fix the code).
> 5. Create a new test with criteria builder.
>
>
> Please, can you check my code on
>
> https://github.com/ggerla/aries/tree/trunk/jpa
>
>
> If my code is correct, how we can proceed? I think that a good way is to
> open some issue on Jira, like introduce adapter fow eclipselink, add an
> integration test for JPA 2.1, etc. Wdyt?
>
>
> Thanks
> Giuseppe
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message